Subject: [Sip] Can we use From Header's value to build Contact in REFER

From: <[email-masked]>
Date: Mon, 9 Feb 2009 10:47:30 +0530

Hi All.

I have a small query regarding the Contact Header while building a REFER
message.

RFC 3515 specifies that Contact Header is mandatory in REFER message. 

If Contact Header is missing in REFER, can we populate its value from
the "From" Header?

If yes, Can the same be done for SUBSCRIBE and NOTIFY messages?

Thanks,

Sunil

---

From: Robert Sparks <[email-masked]>
Date: Mon, 9 Feb 2009 09:34:00 -0600

Generally speaking, no.

The From header field is likely (but not guaranteed) to contain  
something with AOR properties, and you want an identifier that  
corresponds to
exactly the endpoint that sent the REFER.

You're better off rejecting such a REFER as malformed.

The same is true of SUBSCRIBE, and because of forking, initial NOTIFYs.

You could consider being more lenient if Contact is missing in  
subsequent NOTIFYs, using the remote target already stored in the  
dialog, but
remember that you'd be writing code to deal with a peer that is not  
following the protocol and that other exceptions are quite likely.

RjS

On Feb 8, 2009, at 11:17 PM, <[email-masked]> <[email-masked] 
 > wrote:

> Hi All.
>
> I have a small query regarding the Contact Header while building a  
> REFER message.
> If Contact Header is missing in REFER, can we populate its value  
> from the “From” Header?
>
> _______________________________________________
> Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip